<?xml version="1.0" encoding="utf-8"?>
<!-- DOCTYPE asf Adobe Strings Format 1.0 -->

<!ELEMENT asf     (desc?,propset?,(set|str)*)>
<!ATTLIST asf     version CDATA #FIXED "1.0"
                  xmlns CDATA #FIXED "http://ns.adobe.com/asf"
                  locale CDATA #REQUIRED>

<!ELEMENT desc    (#PCDATA)>

<!ELEMENT propset (prop)*>
<!ELEMENT prop    (propkey,propval)>
<!ELEMENT propkey (#PCDATA)>
<!ELEMENT propval (#PCDATA)>

<!ELEMENT set     (desc?,propset?,(set|str)*)>
<!ATTLIST set     name CDATA #REQUIRED>

<!ELEMENT str     (desc?,propset?,val*)>
<!ATTLIST str     name CDATA #REQUIRED
                  translate (yes|no) "yes">

<!ELEMENT val     (#PCDATA|param|dnt)*>
<!ATTLIST val     plat CDATA #IMPLIED
                  accel CDATA #IMPLIED>

<!ELEMENT param   EMPTY>
<!ATTLIST param   name CDATA #REQUIRED>

<!ELEMENT dnt     (#PCDATA)>
